import request from '@/utils/request'

// 查询数据解析结果列表
export function listAnalyzeResult(query) {
  return request({
    url: '/manage/analyzeResult/list',
    method: 'get',
    params: query
  })
}

// 查询数据解析结果详细
export function getAnalyzeResult(id) {
  return request({
    url: '/manage/analyzeResult/' + id,
    method: 'get'
  })
}

// 新增数据解析结果
export function addAnalyzeResult(data) {
  return request({
    url: '/manage/analyzeResult',
    method: 'post',
    data: data
  })
}

// 修改数据解析结果
export function updateAnalyzeResult(data) {
  return request({
    url: '/manage/analyzeResult',
    method: 'put',
    data: data
  })
}

// 删除数据解析结果
export function delAnalyzeResult(id) {
  return request({
    url: '/manage/analyzeResult/' + id,
    method: 'delete'
  })
}
